"use strict";
const __vanilla_filescope__ = require("@vanilla-extract/css/fileScope");
const css = require("@vanilla-extract/css");
const styles_lib_css_responsiveStyle_cjs = require("./responsiveStyle.cjs");
const styles_lib_themes_vars_css_cjs = require("../themes/vars.css.cjs");
__vanilla_filescope__.setFileScope("src/lib/css/lineHeightContainer.css.ts", "braid-design-system");
const lineHeightContainer = css.styleVariants(styles_lib_themes_vars_css_cjs.vars.textSize, ({
  mobile,
  tablet
}) => styles_lib_css_responsiveStyle_cjs.responsiveStyle({
  mobile: {
    height: mobile.lineHeight
  },
  tablet: {
    height: tablet.lineHeight
  }
}), "lineHeightContainer");
__vanilla_filescope__.endFileScope();
exports.lineHeightContainer = lineHeightContainer;
